import WorkflowRunRef from '../../../util/workflow-run-ref';
import { V1TaskStatus } from '../../../clients/rest/generated/data-contracts';
import { WorkflowsClient } from './workflows';
import { HatchetClient } from '../client';
export type RunFilter = {
    since: Date;
    until?: Date;
    statuses?: V1TaskStatus[];
    workflowNames?: string[];
    additionalMetadata?: Record<string, string>;
};
export type CancelRunOpts = {
    ids?: string[];
    filters?: RunFilter;
};
export type ReplayRunOpts = {
    ids?: string[];
    filters?: RunFilter;
};
/**
 * RunsClient is used to list and manage runs
 */
export declare class RunsClient {
    api: HatchetClient['api'];
    tenantId: string;
    workflows: WorkflowsClient;
    constructor(client: HatchetClient);
    get<T = any>(run: string | WorkflowRunRef<T>): Promise<import("../../../clients/rest/generated/data-contracts").WorkflowRun>;
    getDetails<T = any>(run: string | WorkflowRunRef<T>): Promise<import("../../../clients/rest/generated/data-contracts").WorkflowRunShape>;
    list(opts?: Parameters<typeof this.api.workflowRunList>[1]): Promise<import("../../../clients/rest/generated/data-contracts").WorkflowRunList>;
    cancel(opts: CancelRunOpts): Promise<import("axios").AxiosResponse<void, any>>;
    replay(opts: ReplayRunOpts): Promise<import("axios").AxiosResponse<void, any>>;
    private prepareFilter;
}
